#!/usr/bin/make -f

export PYBUILD_NAME=billiard
export PYBUILD_BEFORE_TEST=cp -r {dir}/t {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/t
export PYBUILD_TEST_ARGS=t/unit
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

override_dh_compress:
	dh_compress -X.js -X.html -X.txt

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N Doc $(CURDIR)/debian/python-billiard-doc/usr/share/doc/python-billiard-doc/html
	dh_sphinxdoc
endif
